{% include '@dexes/sidebar-navigation.html.twig' with {
  'back_url': path('dexes_search.search.all.default', { 'scope': 'dataservice' }),
  'back_text': 'Back to all datasets'|t,
  'expand_text': 'More information'|t
} %}

<article class="row pl-3" itemscope itemtype="https://schema.org/Dataset">
  <div class="col-12 col-lg-7 pt-4">
    <div class="row mr-1 mb-3">
      <div class="datadeal__header">
        <div class="datadeal__icon">
          <i class="fa fa-brands fa-buffer"></i>
        </div>
        <div class="datadeal__title">
          <!-- MEK: placeholder for dataset type -->
          <div class="datadeal__type">dataset</div>
          <div class="dex__title">
            <h1 class="dex__title--page" itemprop="name">
              {% if dataset.title %}
                {{ dataset.title }}
              {% else %}
                {{ dataset.name }}
              {% endif %}
            </h1>
          </div>
        </div>
      </div>
    </div>

    {% if dataset.notes or dataset.url %}
      <div class="row mr-1 mb-3">
        {% if dataset.notes %}
          <p itemprop="description" class="dataset__description">{{ dataset.notes|nl2br }}</p>
        {% endif %}

        {% if dataset.url %}
          <a href="{{ dataset.url }}" rel="noindex noopener" target="_blank">
            <i class="fa fa-fw fa-arrow-right"></i>
            {{ 'Find out more about this dataset'|t }}
          </a>
        {% endif %}
      </div>
    {% endif %}

    {% include '@dexes_dcat/snippets/distributions-table.html.twig' with {
      'dataset_name': dataset.name,
      'dataset_description': dataset.notes,
      'distributions': dataset.resources
    } %}

    {% include '@dexes_dcat/snippets/classifications-table.html.twig' with {
      'dataset': dataset
    } %}

    {% include '@dexes_dcat/snippets/spatial-and-temporal-table.html.twig' with {
      'dataset': dataset
    } %}

    {% include '@dexes_dcat/snippets/legal-table.html.twig' with {
      'dataset': dataset
    } %}

    {% include '@dexes_dcat/snippets/references-table.html.twig' with {
      'dataset': dataset
    } %}
  </div>

  <section class="col-lg-5 content__sidebar" id="sidebar_right">
    <div id="toolbar_offcanvas_top" class="px-0 py-3 col-12 d-lg-none clearfix">
      <a class="toggle_offcanvas_menu btn btn-light float-right">
        <span class="long-button-title">{{ 'Close'|t }}</span>
        <i class="fa fa-angle-double-right ml-2"></i>
      </a>
    </div>

    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">{{ 'Share data'|t }}</h3>
      <dl class="chip-block">

        {% if dataset.dataset_status %}
          <dt>{{ 'Status'|t }}</dt>
          <dd>
            {% set dataset_status_label = dataset.dataset_status|identifier_to_label('Overheid:DatasetStatus') %}
            {% set status_color = dataset.dataset_status|status_to_color %}
            {% set query_string = {
              'query': '-',
              'filters': 'status:' ~ dataset_status_label,
              'page_number': 1,
              'scope': 'dataset'
            } %}
            <a href="{{ path('dexes_search.search.dataset', query_string) }}" rel="nofollow" data-toggle="tooltip"
               data-placement="top" title="{{ 'Show all datasets with this status'|t }}" class="chip {{ status_color }}">
              <span itemprop="creativeWorkStatus">{{ dataset_status_label }}</span>
            </a>
          </dd>
        {% endif %}

        {% if dataset.access_rights %}
          <dt>{{ 'Disclosure level'|t }}</dt>
          <dd>
            {% set access_rights_label = dataset.access_rights|identifier_to_label('Overheid:Openbaarheidsniveau') %}
            {% set access_rights_color = dataset.access_rights|access_rights_to_color %}
            {% set query_string = {
              'query': '-',
              'filters': 'disclosure-level:' ~ access_rights_label,
              'page_number': 1,
              'scope': 'dataset'
            } %}
            <a href="{{ path('dexes_search.search.dataset', query_string) }}" rel="nofollow" data-toggle="tooltip"
               data-placement="top" title="{{ 'Show all datasets with this disclosure level'|t }}" class="chip {{ access_rights_color }}">
              {{ access_rights_label }}
            </a>
          </dd>
        {% endif %}

        <dt>{{ 'License'|t }}</dt>
        <dd>
          {% set license_label = dataset.license_id|identifier_to_label('DONL:License') %}
          {% set license_color = dataset.license_id|license_to_color %}
          {% set query_string = {
            'query': '-',
            'filters': 'license:' ~ license_label,
            'page_number': 1,
            'scope': 'dataset'
          } %}
          <a href="{{ path('dexes_search.search.dataset', query_string) }}" rel="nofollow" data-toggle="tooltip"
             data-placement="top" title="{{ 'Show all datasets with this license'|t }}" class="chip {{ license_color }}">
            {{ license_label }}
            <span itemprop="license" class="d-none">{{ dataset.license_id }}</span>
          </a>
        </dd>

        <dt>{{ 'Available since'|t }}</dt>
        <dd>
          {% set issued = dataset.issued|date('Y-m-d H:i:s') %}
          <time datetime="{{ issued }}" data-toggle="tooltip" title="{{ issued }}"
                data-placement="top" itemprop="datePublished sdDatePublished dateCreated">
            {{ dataset.issued|date('d/m/Y') }}
          </time>
        </dd>

        <dt>{{ 'Updated'|t }}</dt>
        <dd>
          {% set modified = dataset.modified|date('Y-m-d H:i:s') %}
          <time datetime="{{ modified }}" itemprop="dateModified" title="{{ modified }}"
                data-toggle="tooltip" data-placement="top">
            {{ dataset.modified|date('d/m/Y') }}
          </time>
        </dd>
      </dl>
    </section>

    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">Policies ({{ dataset.has_policy|length }})</h3>
      <dl>
        {% if dataset.has_policy %}
          <dt><i class="fa-solid fa-scale-unbalanced mr-1"></i>{{ 'Policies applicable for this dataset:'|t }}</dt>
          <dd>
            {% for policy in dataset.has_policy %}
              {% set policy_info = policy|identifier_to_policy_info %}
              {% if policy_info %}
                <div class="d-flex align-items-center justify-content-between w-100 mt-2">
                  <div class="d-flex align-items-center">
                    <span class="authority badge badge-info p-2 mr-2">
                      {{ policy_info.authority.authority_label|translate_policy_value }}
                    </span>
                    <span>{{ policy_info.policy_info.policy_label|translate_policy_value }}</span>
                  </div>
                  <a href="#">
                    <i class="fa-solid fa-circle-info ml-1 text-info" title="{{ 'Click here for more info'|t }}"></i>
                  </a>
                </div>
              {% else %}
                <span class="d-flex align-items-center justify-content-between w-100 mt-2 text-danger">{{ 'Policy not available'|t }}</span>
              {% endif %}
            {% endfor %}
          </dd>
        {% else %}
          <dd>{{ 'No policies are applicable for this dataset'|t }}</dd>
        {% endif %}

        <span class="d-block w-100 font-weight-bold">{{ 'Click on a distribution to send an access request'|t }}</span>

        {% if dataset.contact_point_email %}
          <a class="btn btn-secondary text-light w-100 mt-3 info-button" href="mailto:{{ dataset.contact_point_email }}">{{ 'Ask for more information or send an access request'|t }}</a>
        {% endif %}
      </dl>
    </section>

    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">{{ 'Features'|t }}</h3>
      <dl>
        <dt>
          {{ 'Theme'|t }}
        </dt>
        <dd itemprop="Theme" itemscope itemtype="https://schema.org/Theme">
          {% for theme in dataset.theme %}
            {% set theme_label = theme|identifier_to_label('Overheid:TaxonomieBeleidsagenda') %}
            {% set query_string = {
              'query': '-',
              'filters': 'theme:' ~ theme_label,
              'page_number': 1,
              'scope': 'dataset'
            } %}
          <a href="{{ path('dexes_search.search.dataset', query_string) }}" rel="nofollow" data-toggle="tooltip"
             data-placement="top" title="{{ 'Show all datasets with this theme'|t }}">
            <span itemprop="genre">{{ theme_label }}</span></a>{% if not loop.last %}, {% endif %}
          {% endfor %}
        </dd>

        {% if dataset.frequency %}
          <dt>
            {{ 'Change frequency'|t }}
          </dt>
          <dd itemprop="Frequency" itemscope itemtype="https://schema.org/Frequency">
            {% set frequency_label = dataset.frequency|identifier_to_label('Overheid:Frequency') %}
            {{ frequency_label }}
          </dd>
        {% endif %}
      </dl>
    </section>

    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">{{ 'Ownership'|t }}</h3>
      <dl>
        {% if dataset.authority %}
          <dt>{{ 'Maintainer'|t }}</dt>
          <dd itemprop="creator" itemscope itemtype="https://schema.org/Organization">
            {% set creator_label = dataset.authority|identifier_to_label('DONL:Organization') %}
            {% set query_string = {
              'query': '-',
              'filters': 'authority:' ~ creator_label,
              'page_number': 1,
              'scope': 'dataset'
            } %}
            <a href="{{ path('dexes_search.search.dataset', query_string) }}" rel="nofollow" data-toggle="tooltip"
               data-placement="top" title="{{ 'Show all datasets from this creator'|t }}">
              <span itemprop="name">{{ creator_label }}</span>
              <span itemprop="identifier" class="d-none">{{ dataset.authority }}</span>
            </a>
          </dd>
        {% endif %}

        <dt>{{ 'Publisher'|t }}</dt>
        <dd itemprop="publisher sdPublisher" itemscope itemtype="https://schema.org/Organization">
          {% set publisher_label = dataset.publisher|identifier_to_label('DONL:Organization') %}
          {% set query_string = {
            'query': '-',
            'filters': 'authority:' ~ publisher_label,
            'page_number': 1,
            'scope': 'dataset'
          } %}
          <a href="{{ path('dexes_search.search.dataset', query_string) }}" rel="nofollow" data-toggle="tooltip"
             data-placement="top" title="{{ 'Show all datasets from this publisher'|t }}">
            <span itemprop="name">{{ publisher_label }}</span>
            <span itemprop="identifier" class="d-none">{{ dataset.publisher }}</span>
          </a>
        </dd>

        {% if dataset.source_catalog %}
          <dt>{{ 'Source catalog'|t }}</dt>
          <dd itemprop="includedInDataCatalog" itemscope itemtype="https://schema.org/DataCatalog">
            {% set catalog_label = dataset.source_catalog|identifier_to_label('DONL:Catalogs') %}
            {% set query_string = {
              'query': '-',
              'filters': 'catalog:' ~ catalog_label,
              'page_number': 1,
              'scope': 'dataset'
            } %}
            <a href="{{ path('dexes_search.search.dataset', query_string) }}" rel="nofollow" data-toggle="tooltip"
               data-placement="top" title="{{ 'Show all datasets from this catalog'|t }}">
              <span itemprop="name">{{ catalog_label }}</span>
              <span itemprop="identifier" class="d-none">{{ dataset.source_catalog }}</span>
            </a>
          </dd>
        {% endif %}
      </dl>
    </section>

    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">{{ 'Contact'|t }}</h3>
      <dl>
        <dt>{{ 'Name'|t }}</dt>
        <dd>{{ dataset.contact_point_name }}</dd>

        {% if dataset.contact_point_email %}
          <dt>{{ 'Email'|t }}</dt>
          <dd>
            <a href="mailto:{{ dataset.contact_point_email }}" rel="nofollow">
              {{ dataset.contact_point_email }}
            </a>
          </dd>
        {% endif %}

        {% if dataset.contact_point_website %}
          <dt>{{ 'Website'|t }}</dt>
          <dd>
            <a href="{{ dataset.contact_point_website }}" rel="noopener nofollow" target="_blank" class="word-break">
              {{ dataset.contact_point_website|replace({ 'http://': '', 'https://': '' }) }}
            </a>
          </dd>
        {% endif %}

        {% if dataset.contact_point_phone %}
          <dt>{{ 'Phonenumber'|t }}</dt>
          <dd>
            <a href="tel:{{ dataset.contact_point_phone }}" rel="nofollow">
              {{ dataset.contact_point_phone }}
            </a>
          </dd>
        {% endif %}
      </dl>
    </section>

    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">{{ 'Metadata'|t }}</h3>
      <dl>
        <dt>{{ 'Identifier'|t }}</dt>
        <dd>{{ dataset.identifier }}</dd>

        {% if dataset.alternate_identifier %}
          <dt>{{ 'Alternate identifiers'|t }}</dt>
          <dd>
            {% for alternate_identifier in dataset.alternate_identifier %}
              <span>{{ alternate_identifier }}</span>{% if not loop.last %}, {% endif %}
            {% endfor %}
          </dd>
        {% endif %}

        {% if dataset.metadata_language %}
          <dt>{{ 'Metadata language'|t }}</dt>
          <dd>
            {{ dataset.metadata_language|identifier_to_label('DONL:Language') }}
          </dd>
        {% endif %}
      </dl>
    </section>
  </section>
</article>
